OIDC-KEYCHAIN(1)

NAME
oidc-keychain - re-uses oidc-agent across logins

SYNOPSIS
oidc-keychain [-?|--help|--usage|-V|--version] [-k|--kill]
oidc-keychain [oidc-agent options] [--accounts ACCOUNT ...]

DESCRIPTION
oidc-keychain -- Re-use oidc-agent between logins

oidc-agent options will be passed to oidc-agent when starting it.

    General:

-k, --kill
    Kill oidc-agent if it is running

--accounts ACCOUNT ... Load the ACCOUNTs if not already loaded

    Help:

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

FILES
~/.config/oidc-agent/.keychain or ~/.oidc-agent/.keychain
    oidc-keychain stores the configuration of a running oidc-agent in one of these files.

EXAMPLES

oidc-keychain
    Starts oidc-agent if not already started and prints the commands needed for setting the required environment variables.

eval `oidc-keychain --accounts myaccount`
    Starts oidc-agent if not already started, loads the 'myaccount' account if not already loaded, and sets the required environment variables (only for this shell).

eval `oidc-keychain -k`
    Kills a running oidc-agent and unsets the environment variables from this shell.

SEE ALSO
oidc-agent(1)

Low-traffic mailing list with updates such as critical security incidents and new releases: https://www.lists.kit.edu/sympa/subscribe/oidc-agent-user

Full documentation can be found at https://indigo-dc.gitbooks.io/oidc-agent/user/oidc-agent/user/oidc-keychain